Skip to main content

Get Notification By Id Self

GET 

/notification/v1/player/me/notification/:notification_id

Retrieve a single notification by id

Required Permissions:

  • For any player (including themselves) any of: notification:player:*, notification:player:read, notification:player:self:*, notification:player:self:read

Request

Path Parameters

    notification_id Notification Idrequired

Responses

Successful Response

Schema

    message Message (string)required

    Possible values: <= 4096 characters

    Base Message for the notification

    rh_url Rh Url (string)

    Possible values: non-empty and <= 4096 characters

    Path to get additional data about this notification

    custom_data

    object

    Custom values for the notification

    property name* string
    etag Etag (string)

    Possible values: non-empty

    ETag for the resource at rh_url at the time of this notification

    notification_id Notification Id (string)required

    Unique Identifier for the notification. You cannot depend on the format of this string, and it must be considered opaque

    created date-timerequired

    When this notification was added

Loading...